/*
 * ClusterIO.h                                      1988 by Unicorn Systems
 * -----------
 * Modulvariablen und Deklarationen fr ClusterIO.c
 * Aztec C 3.6, Kickstart 1.2, Workbench 1.2
 * 
 * Datum:   Autor:      Aenderung:                                   Version:
 * --------------------------------------------------------------------------
 * 1.8.88   Roger       Deklarationen erstellt                       1.00
 *
 */

/*=========================   EXTERNE  VARIABLEN   =========================*/

extern unsigned long class;
extern unsigned short code, qual;
extern unsigned short pl;                 /* Plotstatus */
extern int colortable[COLORS][3];         /* Farbtabelle */
extern double *acc[];                     /* Beschleunigung */
extern double *vel[];                     /* Geschwindigkeit */
extern double *pos[];                     /* Position */
extern double *mas;
extern int *col;
extern int stars;                         /* Anzahl der Sterne */
extern double skal;                       /* Skalierungsfaktor */
extern int height;
extern short guru;
extern short dflag;
extern char wort[LINELEN];


/*=========================   EXTERNE FUNKTIONEN   =========================*/

extern struct IntuiMessage *GetMsg();
extern struct Port *CreatePort();
extern void *OpenLibrary(), *OpenWindow(), *OpenScreen();
extern void *ViewPortAddress();
extern double atof();
extern int atoi();
extern char *malloc();


/*===========================   MODULVARIABLEN   ===========================*/

struct IntuitionBase *IntuitionBase = 0;  /* Intuition-Library */
struct GfxBase *GfxBase = 0;              /* Graphics-Library */
struct ExecBase *ExecBase = 0;            /* Exec-Library */
struct IntuiMessage *message;             /* Zeiger auf IDCMP-Message */
struct Window *win = 0;                   /* Zeiger auf Fenster */
struct Window *dwin = 0;                  /* Datenanzeige */
struct Screen *scr = 0;
struct ViewPort *dwinvp, *winvp, *scrvp;
struct RastPort *dwinrp, *winrp, *scrrp;
FILE *fd;
int dwidth = 0, dheight = 0;
int clX, clY;

struct NewScreen newscr = {
   0, 0, WIDTH, HEIGHT, PLANES,           /* 1: so kann geschaltet werden. */
   (unsigned char) 0,
   (unsigned char) 1,
   (unsigned) HIRES,
   (unsigned) CUSTOMSCREEN,
   (void *) NULL,
   (unsigned char *) NULL,
   (void *) NULL,
   (void *) NULL
};

struct NewWindow newwin = {
   0, 0, WIDTH, HEIGHT,
   (unsigned char) 0,
   (unsigned char) 1,
   (unsigned long) VANILLAKEY,
   (unsigned long) SMART_REFRESH | BACKDROP | BORDERLESS | ACTIVATE,
   (void *) NULL,
   (void *) NULL,
   (unsigned char *) NULL,
   (struct Screen *) NULL,
   (void *) NULL,
   0, 0, 0, 0,
   (unsigned short) CUSTOMSCREEN
};

struct NewWindow newdwin = {
   0, 0, 0, 0,
   (unsigned char) 1,
   (unsigned char) 2,
   (unsigned long) 0,
   (unsigned long) SMART_REFRESH | WINDOWDRAG,
   (void *) NULL,
   (void *) NULL,
   (unsigned char *) WINDOWTITLE,
   (struct Screen *) NULL,
   (void *) NULL,
   0, 0, 0, 0,
   (unsigned short) CUSTOMSCREEN
};
